# Rename device backup

Patch ` https://app.mk.io/api/v1/projects/:project_name/fleet/backups/:backup_id`

Rename an existing device backup by id. 'device' and 'storage_url' cannot be updated.

RBAC Capability Required: `fleet.device.update`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** (string) Required
- **backup_id** (string) Required  
  format: uuid

## Response

- **200** The device backup entry was successfully updated.  
  No response body.

## Errors

- **400 Bad Request**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required

- **401 Unauthorized**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required

- **403 Forbidden**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required

- **404 Not Found**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required

- **409 Conflict**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required

- **429 Too Many Requests**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required

- **500 Internal Server Error**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required
  - Pertinent information about the error
    - **code** (string) Required
    - **detail** (string) Required
    - **extraDetail** (map from strings to any) Optional
      - Extra information regarding this error.
    - **ref** (string) Required
    - **status** (integer) Required
